Loading...
Searching...
No Matches
peripheral::GatewaySensorManager::RemoteModbusDevice Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::RemoteModbusDevice:

## Public Attributes

map< int, string > | detectionIdentifiers
| list of expected device identifiers
int | unitId
| modbus server address
vector< byte > | unsupportedFunctionCodes
| list of unsupported modbus function codes (FC)
Public Attributes inherited from peripheral::GatewaySensorManager::RemoteDevice
string | deviceId
| remote device id
boolean | disabled
| prevents usage of all sensor specifications which reference this device
string | name
| human readable remote device name
int | timeoutMs
| communication access timeout, 0 = default
int | retry
| communication retry count, 0 = default

## Detailed Description

Definition at line 289 of file GatewaySensorManager.idl.

## Member Data Documentation

## detectionIdentifiers

map<int, string> peripheral::GatewaySensorManager::RemoteModbusDevice::detectionIdentifiers

list of expected device identifiers

Definition at line 290 of file GatewaySensorManager.idl.

## unitId

int peripheral::GatewaySensorManager::RemoteModbusDevice::unitId

modbus server address

Definition at line 291 of file GatewaySensorManager.idl.

## unsupportedFunctionCodes

vector<byte> peripheral::GatewaySensorManager::RemoteModbusDevice::unsupportedFunctionCodes

list of unsupported modbus function codes (FC)

This information is used to select a supported way for communication, if more than one way is available. If there is no flexibility, the list is ignored. Therefore, some entries may have no effect.

Examples:

- FC 43 (Read Device Identification) is used without regard to this list, as there is no alternative way if detectionIdentifiers is to be used
- FC 22 (Masked Register Write) is only used if the support is known, otherwise FC 03 + FC 06 (or FC 16 if not known as unsupported) will be used

Definition at line 304 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl